Bug 7423 - Large Formats at printing not available
Large Formats at printing not available
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Printing
unspecified
All All
: P3 normal
: ---
Assigned To: Andreas Schneider
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 05:11 UTC by Franz Pfoertsch
Modified: 2011-08-31 16:06 UTC (History)
1 user (show)

See Also:


Attachments
Patch to add EN ISO 216, A0 and A1 to builtin forms. (1.06 KB, patch)
2010-05-12 11:38 UTC, Andreas Schneider
gd: review+
Details
patch for 3.5 (1.27 KB, patch)
2010-05-18 09:45 UTC, Guenther Deschner
no flags Details
patch for 3.4 (1.27 KB, patch)
2010-05-18 09:46 UTC, Guenther Deschner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franz Pfoertsch 2010-05-12 05:11:54 UTC
Only ISO Papersize smaller A3 are available.

Please add A2 A1 A0 and so on to the standard at nt_printing.c
Comment 1 Andreas Schneider 2010-05-12 11:38:46 UTC
Created attachment 5701 [details]
Patch to add EN ISO 216, A0 and A1 to builtin forms.

Günther please review.
Comment 2 Guenther Deschner 2010-05-18 09:41:28 UTC
Comment on attachment 5701 [details]
Patch to add EN ISO 216, A0 and A1 to builtin forms.

looks fine (pushed to master already)
Comment 3 Guenther Deschner 2010-05-18 09:45:00 UTC
Created attachment 5712 [details]
patch for 3.5
Comment 4 Guenther Deschner 2010-05-18 09:46:07 UTC
Created attachment 5713 [details]
patch for 3.4
Comment 5 Guenther Deschner 2010-05-18 09:46:31 UTC
Karolin, please pick for next 3.4 and 3.5 releases.
Comment 6 Karolin Seeger 2010-05-19 05:51:18 UTC
Pushed to v3-5-test and v3-4-test.
Will be included in 3.5.4 and 3.4.9.
Closing out bug report.

Thanks!
Comment 7 Guenther Deschner 2011-05-11 15:48:04 UTC
This patch causes problems with the form index used in devicemodes. We probably have to remove it again.
Comment 8 Franz Pfoertsch 2011-05-11 15:53:21 UTC
Sehr geehrte Damen und Herren,
ich bin vom 10. Mai 2011 bis 11. Mai 2011 außer Haus.
Meine Vertretung ist in dieser Zeit Marco Gaksch(Marco.Gaksch@brose.com).

Dear Sir or Madam
I am not in the office between May 10, 2011 and May 11, 2011.
My deputy is Marco Gaksch(Marco.Gaksch@brose.com)during this time.

Mit freundlichen Grüßen/Best Regards	

Brose Fahrzeugteile GmbH & Co. Kommanditgesellschaft, Coburg
Informationstechnik/Technik Rechenzentrum

i. A. Franz Pförtsch
  
Ketschendorfer Straße 38-50
D-96450 Coburg
Germany
Phone:  +49 9561 21 2457
Fax:    +49 9561 21 2400
Mobile: +49 151 1263 1838
mailto:franz.pfoertsch@brose.com
http://www.brose.com
________________________________________________________________________

Sitz der Gesellschaft Coburg, Reg.-Gericht Coburg, HRA 2042, USt.-Id. Nr. DE 132444669
Komplementär: Brose Verwaltungsgesellschaft mbH, Coburg, Sitz und Reg.-Gericht Coburg, HRB 233
Geschäftsführung: Jürgen Otto (Vorsitzender), Peter Gresch, Periklis Nassios, Thomas Nösekabel, Dr. Reinhard Meschkat, Kurt Sauernheimer, Thomas Spangler, Stefan Krug (Werkleitung)
Comment 9 Franz Pfoertsch 2011-05-12 08:24:50 UTC
Hello Günther,

I also mentioned the problem with the form index but was not shure about the
reson!

Please remove it!

regards
Franz

-----Ursprüngliche Nachricht-----
Von: samba-bugs@samba.org [mailto:samba-bugs@samba.org] 
Gesendet: Mittwoch, 11. Mai 2011 17:48
An: Pförtsch, Franz
Betreff: [Bug 7423] Large Formats at printing not available

https://bugzilla.samba.org/show_bug.cgi?id=7423

Guenther Deschner <gd@samba.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|RESOLVED                    |REOPENED
         Resolution|FIXED                       |

--- Comment #7 from Guenther Deschner <gd@samba.org> 2011-05-11 15:48:04 UTC
---
This patch causes problems with the form index used in devicemodes. We
probably
have to remove it again.
Comment 10 Franz Pfoertsch 2011-05-12 12:56:57 UTC
when the patch is removed, there should be something (script, command) to add missing formulars.

may be the a ppd or something like this could be parsed to create the missing formsizes.
Comment 11 Andreas Schneider 2011-05-12 13:38:24 UTC
The code has been rewritten in 3.6. So the format sizes should be available in version 3.6.
Comment 12 Franz Pfoertsch 2011-05-12 14:38:21 UTC
(In reply to comment #11)
> The code has been rewritten in 3.6. So the format sizes should be available in
> version 3.6.

What does this mean?
Will the patch reverted in 3.5?
Comment 13 Andreas Schneider 2011-05-12 17:04:36 UTC
Yes, the patch needs to be reverted in 3.5 to get it working correctly again. We can rewrite the whole thing. It should work just fine with 3.6 which should be released in a few weeks.
Comment 14 Guenther Deschner 2011-05-12 18:55:53 UTC
Andreas, can you please deal with the revert ?
Comment 15 Andreas Schneider 2011-05-14 09:20:15 UTC
I will.
Comment 16 Andreas Schneider 2011-08-31 16:06:02 UTC
Fixed in Samba 3.6.